using MultiLayout;
using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 全部参数
    /// </summary>
    public class CompareGraphParams : UIModuleParams<CompareGraphItemParam>
    {
        public CompareGraphParams()
        {
            string path = System.IO.Path.Combine(FlyLayout.BasePath, "comparegraph.json");
            FilePath = path;
        }

        static CompareGraphParams current = null;
        public static CompareGraphParams Current
        {
            get
            {
                if (current == null)
                {
                    current = new CompareGraphParams();
                    current.Load();
                }
                return current;
            }
        }
    }
}
